新手用apt-get update出现错误,怎么办?

为当前最终发行版之前的所有版本提供支持
回复
zengtao420
帖子: 21
注册时间: 2007-10-06 23:10
送出感谢: 0
接收感谢: 0
联系:

新手用apt-get update出现错误,怎么办?

#1

帖子 zengtao420 » 2007-10-16 16:23

sudo apt-get update
E: 无法获得锁 /var/lib/apt/lists/lock - open (11 Resource temporarily unavailable)
E: 无法对状态列表目录加锁
jieying
帖子: 371
注册时间: 2005-11-03 17:52
送出感谢: 0
接收感谢: 0

#2

帖子 jieying » 2007-10-16 17:23

更新管理器 或 新立得软件包管理器对本地数据库加锁,保证只有一个进程进行操作,所以,可能是上述的某个程序开着。
你是不是开着另外的apt-get 或新立德?尝试关掉再重试就好了。
头像
群魔乱舞
帖子: 61
注册时间: 2007-08-23 13:37
送出感谢: 0
接收感谢: 0

#3

帖子 群魔乱舞 » 2007-10-17 1:00

LS 正解~~~
头像
群魔乱舞
帖子: 61
注册时间: 2007-08-23 13:37
送出感谢: 0
接收感谢: 0

#4

帖子 群魔乱舞 » 2007-10-17 1:00

不过我有时候没有开都这样,为什么呢?
头像
apuar
帖子: 206
注册时间: 2006-04-28 23:24
来自: K^L
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 apuar » 2007-10-17 2:15

删除/var/lib/apt/lists/lock 文件.
回复

回到 “老旧版本支持”